.charts {
    display: grid;
    width: 100%;
    grid-row-gap: rem(24);
    grid-column-gap: rem(24);
    grid-template-columns: 1fr;

    &__column {
        width: 100%;
        display: grid;
        grid-row-gap: rem(24);
        grid-template-columns: 1fr;

        &--start {
            align-items: flex-start;
        }
    }

    &__item {
        position: relative;
        background: #F8F8F8;
        border-radius: 30px;
        padding: rem(30) rem(20);
        display: flex;
        flex-direction: column;

        &--dark {
            background: #1B1C1D;
        }
    }

    &__title {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(23);
        margin-bottom: rem(15);
        padding-right: rem(40);
    }

    &__subtitle {
        font-size: rem(18);
        line-height: 150%;
        margin-bottom: rem(25);
    }

    &__main {
        flex-grow: 1;
    }

    &__info {
        top: rem(20);
        right: rem(20);
        z-index: 50;
        position: absolute;
    }

    @include media-breakpoint-up(md) {

        &__title {
            font-size: rem(34);
            line-height: rem(40);
            padding-right: rem(20);
        }

        &__subtitle {
            font-size: rem(22);
            margin-bottom: rem(40);
        }

        &__item {
            padding: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr;
    }
}

.chart-vertical {
    height: 100%;
    min-height: 320px;
    display: flex;
    justify-content: space-between;

    &__item {
        display: flex;
        flex-direction: column;
        width: calc(25% - 18px);
    }

    &__column {
        flex-grow: 1;
        overflow: hidden;
        position: relative;
        border-radius: 5px;
    }

    &__progress {
        bottom: 0;
        left: 0;
        right: 0;
        height: 100%;
        border-radius: 5px;
        position: absolute;
        background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);
        transition: .5s linear 0.5s;

        span {
            left: 0;
            right: 0;
            color: $white;
            bottom: rem(10);
            display: block;
            font-weight: 900;
            font-size: rem(14);
            line-height: rem(16);
            position: absolute;
            text-align: center;
        }
    }

    &__label {
        height: rem(30);
        font-weight: 500;
        font-size: rem(12);
        line-height: 120%;
        text-align: center;
        margin-top: rem(20);
        display: flex;
        flex-direction: column;
        flex-shrink: 0;

        span {
            display: block;
            margin: auto 0;
        }
    }

    &.disable {

        .chart-vertical__progress {
            height: 0% !important;
            transition: .5s linear 0.5s;
        }
    }

    @include media-breakpoint-up(md) {

        &__item {
            width: 100px;
            flex-shrink: 0;
        }

        &__label {
            height: rem(40);
            font-size: rem(16);
        }
    }
}

.chart-inline {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &__label {
        font-weight: 500;
        font-size: rem(14);
        line-height: 130%;
        margin-bottom: rem(16);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__value {
            opacity: 0.6;
            text-align: right;
            padding-left: rem(20);
        }
    }

    &__row {
        height: rem(12);
        overflow: hidden;
        position: relative;
        background: #E9E9E9;
        border-radius: 10px;
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(20);
        }
    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        border-radius: 10px;
        position: absolute;
        background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);
        transition: .5s linear 0.5s;
    }

    &__legend {
        font-size: rem(14);
        line-height: 130%;
        margin-bottom: rem(20);
        display: flex;
        align-items: flex-end;
        justify-content: space-between;

        &__item {

            &:last-child {
                text-align: right;
            }
        }

        &__value {
            font-size: rem(24);
            line-height: rem(32);
        }
    }

    &.disable {

        .chart-inline__progress {
            width: 0% !important;
            transition: .5s linear 0.5s;
        }
    }

    &--dark {

        .chart-inline {

            &__row {
                background: #313234;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            display: flex;
            align-items: center;
        }

        &__label {
            width: 15%;
            margin-bottom: 0;
            padding-right: rem(20);
            flex-shrink: 0;

            &--width {
                width: 50%;
                padding-right: rem(40);
            }
        }

        &__row {
            flex-grow: 1;
        }

        &__legend {
            font-size: rem(16);

            &__value {
                font-size: rem(36);
                line-height: 110%;
            }
        }
    }

    @include media-breakpoint-up(xl) {

    }
}

.chart-text {

    &__value {
        font-weight: 700;
        font-size: rem(50);
        line-height: rem(52);
        background: radial-gradient(597.54% 281.63% at -11.25% 121.11%, #4EA6F8 0%, #519DF5 10%, #2A1A8F 95.92%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-clip: text;
        text-fill-color: transparent;
    }

    &__legend {
        font-size: rem(14);
        line-height: rem(14);
    }

    @include media-breakpoint-up(md) {

        &__value {
            font-size: rem(60);
            line-height: rem(62);
        }
    }

    @include media-breakpoint-up(xl) {

        &__value {
            font-size: rem(80);
            line-height: rem(82);
        }

        &__legend {
            font-size: rem(16);
            line-height: rem(16);
        }
    }
}

.charts-group {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    &:not(:last-child) {
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
        grid-template-columns: 1fr;

        &:not(:last-child) {
            margin-bottom: rem(24);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 560px auto;
    }
}

.chart-doughnut {
    width: 261px;
    margin: 0 auto;
    position: relative;

    &__media {
        z-index: 1;
        position: relative;
    }

    &__content {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        font-size: rem(16);
        line-height: rem(16);
        text-align: center;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__value {
        font-weight: 600;
        font-size: rem(34);
        line-height: rem(45);
        margin-bottom: rem(5);
    }
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
